Bug 814434 - Missing types for two delimiters as [n] or [s]
Missing types for two delimiters as [n] or [s]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 16:51 EDT by Raul Fajardo
Modified: 2013-07-02 19:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 03:28:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Processed file with TeX Live 2012 (37.73 KB, application/pdf)
2012-10-07 12:03 EDT, Jindrich Novy
no flags Details

  None (edit)
Description Raul Fajardo 2012-04-19 16:51:23 EDT
While describing a new language, [n] or [s] delimiter types are not recognized. Below, you find an example which reproduces the issue. 

example.tex:
\documentclass{article}
\usepackage{listings}

\usepackage[usenames]{color}
\usepackage[normalem]{ulem}

\definecolor{gray}{rgb}{0.4,0.4,0.4}
\definecolor{darkblue}{rgb}{0.0,0.0,0.6}
\definecolor{cyan}{rgb}{0.0,0.6,0.6}

\lstset{
  basicstyle=\ttfamily,
  columns=fullflexible,
  showstringspaces=false,
  commentstyle=\color{gray}\upshape
}

\lstdefinelanguage{XML}
{
  morestring=[b]",
  morestring=[s]{>}{<},
  morecomment=[s]{<?}{?>},
  stringstyle=\color{black}\textbf,
  identifierstyle=\color{darkblue},
  keywordstyle=\color{cyan},
  morekeywords={greeting}% list your attributes here
}

\begin{document}

\begin{lstlisting}[language=XML, float,
    basicstyle=\scriptsize,
    frame=lines,
    breaklines=true,
    tabsize=2]
<greeting>Hello</greeting>
\end{lstlisting}

\end{document}
Comment 1 Jindrich Novy 2012-10-07 12:03:43 EDT
Created attachment 623030 [details]
Processed file with TeX Live 2012

Is this the correct output after processing the input file?
Comment 2 Raul Fajardo 2012-10-08 10:02:24 EDT
(In reply to comment #1)
> Created attachment 623030 [details]
> Processed file with TeX Live 2012
> 
> Is this the correct output after processing the input file?

Yes, it is.
Comment 3 Jindrich Novy 2012-10-09 03:28:15 EDT
Thanks. Closing RAWHIDE then.

Note You need to log in before you can comment on or make changes to this bug.